summaryrefslogtreecommitdiff
path: root/install-kolab.sh
diff options
context:
space:
mode:
authorThomas Arendsen Hein <thomas@intevation.de>2009-03-27 11:16:07 (GMT)
committerThomas Arendsen Hein <thomas@intevation.de>2009-03-27 11:16:07 (GMT)
commitd156f3156f0ff48499377e60779afa30506a72f5 (patch)
treed8144b5869cb041878a93631ac79c7ae8c168be3 /install-kolab.sh
parent086615e24112ade8b057e524efbb7544dde0bb5c (diff)
downloadserver-d156f3156f0ff48499377e60779afa30506a72f5.tar.gz
umask 022 for installs/upgrades, fixes kolab/issue3130 (Perl Error on Upgrade)
Diffstat (limited to 'install-kolab.sh')
-rwxr-xr-xinstall-kolab.sh3
1 files changed, 2 insertions, 1 deletions
diff --git a/install-kolab.sh b/install-kolab.sh
index 1df202d..d172927 100755
--- a/install-kolab.sh
+++ b/install-kolab.sh
@@ -74,7 +74,7 @@ fi
mktmpdir() {
newtmp="${TMPDIR-/tmp}/install-kolab.$RANDOM.$RANDOM.$RANDOM.$$"
- (umask 022 && mkdir "$newtmp") || {
+ mkdir "$newtmp" || {
echo "Could not create temporary directory! Exiting." 1>&2
exit 1
}
@@ -203,6 +203,7 @@ if [ "$FLAG_CLEAN" -o "$FLAG_INDEX" ]; then
fi
fi
+umask 022
SRCDIR=`pwd`
WORKDIR=`mktmpdir`
echo "Changing to temporary working directory $WORKDIR ..."